# $Revision: 1.65 $, $Date: 2012/02/27 11:46:27 $
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	Tomboy - a desktop note-taking application
Summary(pl.UTF-8):	Tomboy - aplikacja do notatek na pulpicie
Name:		tomboy
Version:	1.8.3
Release:	1
License:	LGPL v2.1
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/tomboy/1.8/%{name}-%{version}.tar.bz2
# Source0-md5:	760d343acc6a603ccaa1f50e4aac58af
URL:		http://www.gnome.org/projects/tomboy/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
#BuildRequires:	dotnet-galago-sharp-devel >= 0.5.0
BuildRequires:	dotnet-gmime-sharp-devel >= 2.4.0
BuildRequires:	dotnet-gnome-desktop-sharp-devel >= 2.24.0
BuildRequires:	dotnet-gnome-sharp-devel >= 2.24.0
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.12.2
BuildRequires:	dotnet-ndesk-dbus-glib-sharp-devel >= 0.3
BuildRequires:	dotnet-dbus-sharp-devel >= 0.4
BuildRequires:	dotnet-dbus-sharp-glib-devel >= 0.3
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtkspell-devel >= 2.0.11
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	mono-addins-devel >= 0.3
BuildRequires:	mono-csharp >= 1.9.1
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Requires(post,preun):	GConf2
Suggests:	galago-daemon
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
ExclusiveArch:	%{ix86} %{x8664} alpha arm hppa ppc s390 sparc sparcv9
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day.

%description -l pl.UTF-8
Tomboy to aplikacja do notatek na pulpicie dla Linuksa i Uniksa.
Prosta i łatwa w użyciu, ale z potencjałem pomocy przy organizacji
pomysłów i informacji, z którymi musimy się zmagać każdego dnia.

%prep
%setup -q

%{__sed} -i -e 's/en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-dbus-service-dir="%{_datadir}/dbus-1/services" \
	--disable-update-mimedb \
	--disable-schemas-install \
	--disable-galago \
	--disable-scrollkeeper

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install tomboy.schemas
%scrollkeeper_update_post
%update_icon_cache hicolor
%update_mime_database

%preun
%gconf_schema_uninstall tomboy.schemas

%postun
%update_mime_database
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.exe
%{_libdir}/%{name}/*.exe.mdb
%attr(755,root,root) %{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.config
%{_libdir}/%{name}/addins
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/tomboy.1*
%{_pkgconfigdir}/tomboy-addins.pc
%{_sysconfdir}/gconf/schemas/tomboy.schemas
%{_datadir}/mime/packages/tomboy.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tomboy.spec,v $
Revision 1.65  2012/02/27 11:46:27  baggins
- rel 1

Revision 1.64  2012/02/27 11:41:54  baggins
- disabled galago support

Revision 1.63  2012/02/27 10:51:49  baggins
- 1.8.3

Revision 1.62  2011/02/05 15:59:38  wiget
- rel. 2

Revision 1.61  2011/02/04 18:24:05  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.60  2010/10/27 20:15:00  megabajt
- updated to 1.4.2

Revision 1.59  2010/10/23 15:07:21  megabajt
- updated to 1.4.0

Revision 1.58  2010/05/01 12:04:00  megabajt
- updated to 1.2.1

Revision 1.57  2010/03/11 21:18:21  megabajt
- release 2

Revision 1.56  2009/12/12 11:55:09  megabajt
- updated to 1.0.1

Revision 1.55  2009/11/28 22:41:59  sparky
- BR: docbook-dtd412-xml

Revision 1.54  2009/04/15 11:11:46  megabajt
- updated to 0.14.1

Revision 1.53  2009/04/11 07:02:56  qboosh
- .mdb are not executable

Revision 1.52  2009/03/18 22:18:30  patrys
- 0.14.0

Revision 1.51  2009/03/08 17:28:51  duddits
- rel. 2
- drop /usr/share/locale/la support for now
- %files tune-ups

Revision 1.50  2009/03/06 15:14:16  duddits
- up to 0.12.2
- %files

Revision 1.49  2008/11/05 10:24:51  hawk
- builds just fine with dotnet-gmime-sharp 2.4.x
- release 3

Revision 1.48  2008/11/05 07:28:40  hawk
- release 2

Revision 1.47  2008/10/16 21:30:05  megabajt
- updated to 0.12.1

Revision 1.46  2008/10/14 10:01:57  hawk
- release 2

Revision 1.45  2008/05/19 16:43:59  patrys
- 0.10.2

Revision 1.44  2008-04-09 15:42:51  shadzik
- use __sed macro

Revision 1.43  2008-04-09 15:40:21  deejay1
- updated to 0.10.1
- configure patch applied upstream
- rel. 1

Revision 1.42  2008-04-05 19:39:22  qboosh
- support sparcv9 subarch

Revision 1.41  2008-04-04 01:06:10  tommat
- no mono on sparc64

Revision 1.40  2008-03-10 17:01:28  deejay1
- updated to 0.10.0

Revision 1.39  2008-03-05 17:05:47  deejay1
- 0.9.8

Revision 1.38  2008-03-01 18:29:34  deejay1
- up to 0.9.7
- updated %files accordingly

Revision 1.37  2008-02-10 00:32:21  deejay1
- added S: galago-daemon for buddy presence in notes

Revision 1.36  2008-02-10 00:28:01  deejay1
- up to 0.9.5

Revision 1.35  2008-01-17 17:37:21  deejay1
- updated to 0.9.4
- rel. 1

Revision 1.34  2007-12-13 14:55:59  wrobell
- rel. 3 to rebuild with dotnet-ndesk*

Revision 1.33  2007-12-12 11:48:24  wrobell
- fixed build requirements

Revision 1.32  2007-12-10 19:24:32  wrobell
- use external ndesk dbus implementation
- rel. 2

Revision 1.31  2007-11-27 20:16:23  qboosh
- updated find_lang BR
- sed quotes

Revision 1.30  2007-11-26 17:36:26  megabajt
- updated to 0.8.2 (fixes CVE-2005-4790)

Revision 1.29  2007-11-10 16:33:44  megabajt
- sr@Latn -> sr@latin
- use --with-omf
- release 2

Revision 1.28  2007/10/17 19:04:16  megabajt
- updated to 0.8.1

Revision 1.27  2007/09/17 18:37:33  megabajt
- packaged all files

Revision 1.26  2007/09/17 14:32:42  patrys
- 0.8.0

Revision 1.25.2.3  2007/09/15 11:57:35  megabajt
- updated to 0.7.8
- updated URL
- removed obsolete desktop patch

Revision 1.25.2.2  2007/09/08 23:55:24  aflinta
- up to 0.7.6

Revision 1.25.2.1  2007/09/02 17:49:05  aflinta
- up to 0.7.5

Revision 1.25  2007/08/15 10:35:45  wrobell
- added a patch from debian to fix dbus ppc issues
- rel. 2

Revision 1.24  2007/04/09 22:17:12  megabajt
- updated to 0.6.3

Revision 1.23  2007/03/13 20:16:50  megabajt
- updated to 0.6.1

Revision 1.22  2007/03/10 13:28:10  megabajt
- updated to 0.6.0

Revision 1.21  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.19  2006/10/01 11:11:19  megabajt
- epochs, R(post,postun): hicolor-icon-theme
- rpmbuild(macros) >= 1.311 for %update_icon_cache

Revision 1.18  2006/09/07 17:59:57  grzegol
- 0.4.1

Revision 1.17  2006/09/05 21:37:58  grzegol
- 0.4.0

Revision 1.16  2006/08/11 22:14:12  freetz
- 0.3.9, updated Source0, use HEAD deps, package/install screollkeeper docs
  update icon cache, removed install 'hacks', updated file list

Revision 1.15  2006/08/05 12:50:17  wolf
- auto mono deps

Revision 1.14  2006/08/05 12:14:00  wolf
- removed nonsense R: gnome-panel

Revision 1.13  2006/02/24 00:06:07  pawcioos
- updated to 0.3.5
- STBR

Revision 1.12  2005/09/20 23:20:45  pawcioos
- fixed file Trie.cs
- after upgrade to dbus-0.50 it must be rebuild.

Revision 1.11  2005/08/23 07:49:57  paladine
- proper license
- sorted BRs/Rs
- removed no locale
- use new GConf schemas macros
- removed useless scrollkeeper-update
- sorted/fixed %%files
- fixed desktop patch
- rel. 2

Revision 1.10  2005/08/23 06:51:02  pawcioos
- fixed path to *.service, desktop
- cosmetics

Revision 1.9  2005/08/22 14:51:48  pawcioos
- updated to 0.3.3

Revision 1.8  2005/05/15 14:33:03  pawcioos
- updated to 0.3.2

Revision 1.7  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.6  2005/05/03 08:20:02  speedy
- more BR

Revision 1.5  2005/04/03 22:42:52  qboosh
- 644 for .la, missing dir, EA

Revision 1.4  2005/04/03 16:07:44  arekm
- more BR/R

Revision 1.3  2005/03/16 21:57:53  pawcioos
- updated to 0.3.1

Revision 1.2  2004/11/01 21:22:54  qboosh
- pl

Revision 1.1  2004/11/01 16:39:04  grzegol
- new
